Debian Bug report logs - #691320
xen-image-create does not remove the index of memory-size

version graph

Package: xen-tools; Maintainer for xen-tools is Axel Beckert <abe@debian.org>; Source for xen-tools is src:xen-tools.

Reported by: "Estelmann, Christian" <c.estelmann@gmx.net>

Date: Wed, 24 Oct 2012 10:27:02 UTC

Severity: normal

Tags: confirmed, upstream

Found in version xen-tools/4.3.1-1

Fixed in version xen-tools/4.4~beta1-1

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#691320; Package xen-tools. (Wed, 24 Oct 2012 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Estelmann, Christian" <c.estelmann@gmx.net>:
New Bug report received and forwarded. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 24 Oct 2012 10:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Estelmann, Christian" <c.estelmann@gmx.net>
To: submit@bugs.debian.org
Subject: xen-image-create does not remove the index of memory-size
Date: Wed, 24 Oct 2012 12:22:13 +0200
Package: xen-tools
Version: 4.3.1-1

After creating a new host with xen-create-image the index of the memory-size is written in the created config. Starting with this created config failes.

Example:
root@xen:~# xen-create-image --hostname newhost.example.com --vcpus 1 --memory=256M --pygrub --size=4G --swap=512M --ip=10.1.2.3 --netmask=255.255.255.128
[...]
All done
[...]
root@xen:~# xm create /etc/xen/newhost.example.com.cfg
Using config file "/etc/xen/weblimesurvey.local.cfg".
Error: invalid literal for int() with base 10: '256M'

After changing the line in /etc/xen/newhost.example.com.cfg from
memory      = '256M'
to
memory      = '256'
all works fine:
root@xen:~# xm create /etc/xen/newhost.example.com.cfg
Using config file "/etc/xen/newhost.example.com.cfg".
Started domain newhost.example.com (id=X)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#691320; Package xen-tools. (Tue, 13 Nov 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Tue, 13 Nov 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 691320@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: "Estelmann, Christian" <c.estelmann@gmx.net>
Cc: 691320@bugs.debian.org
Subject: Re: Bug#691320: xen-image-create does not remove the index of memory-size
Date: Tue, 13 Nov 2012 22:50:00 +0100
Control: tag -1 + upstream confirmed pending

Hi Christian,

Estelmann, Christian wrote:
> After creating a new host with xen-create-image the index of the
> memory-size is written in the created config. Starting with this
> created config failes.
> 
> Example:
> root@xen:~# xen-create-image --hostname newhost.example.com --vcpus 1 --memory=256M --pygrub --size=4G --swap=512M --ip=10.1.2.3 --netmask=255.255.255.128
[...]
> root@xen:~# xm create /etc/xen/newhost.example.com.cfg
> Using config file "/etc/xen/weblimesurvey.local.cfg".
> Error: invalid literal for int() with base 10: '256M'
> 
> After changing the line in /etc/xen/newhost.example.com.cfg from
> memory      = '256M'
> to
> memory      = '256'
> all works fine:

Indeed. The (template) examples in xen-create-image(8) just show the
suffix "Mb". And actually just that suffix and "Gb" are currently
recognized. Omitting the "b" leads to the described issue.

This will be fixed in the next upstream release.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) upstream, confirmed, and pending. Request was from Axel Beckert <abe@debian.org> to 691320-submit@bugs.debian.org. (Tue, 13 Nov 2012 21:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#691320; Package xen-tools. (Wed, 30 Jan 2013 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Holub <martin@holub.co.at>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 30 Jan 2013 15:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 691320@bugs.debian.org (full text, mbox):

From: Martin Holub <martin@holub.co.at>
To: 691320@bugs.debian.org
Cc: abe@debian.org
Subject: xen-image-create does not remove the index of memory-size
Date: Wed, 30 Jan 2013 16:39:01 +0100
Hello,

Any news regarding the Fix or the Upstream rollout ? The Issue is still 
reproduceable on my Wheezy Xen Host.

Cheers,
Martin



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#691320; Package xen-tools. (Wed, 30 Jan 2013 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Wed, 30 Jan 2013 16:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 691320@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Martin Holub <martin@holub.co.at>
Cc: 691320@bugs.debian.org
Subject: Re: xen-image-create does not remove the index of memory-size
Date: Wed, 30 Jan 2013 17:05:46 +0100
Hi Martin,

Martin Holub wrote:
> Any news regarding the Fix or the Upstream rollout ?

The is fixed upstream in the git repository:

https://gitorious.org/xen-tools/xen-tools/commit/442021849dd52ea1bf31d4cded4bc733e02b54fe

The fix will be part of the next upstream release, which is in the
makes. No date though -- it's ready when it's ready. (And it's not yet
ready. :-)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Fri, 23 Aug 2013 18:51:20 GMT) Full text and rfc822 format available.

Notification sent to "Estelmann, Christian" <c.estelmann@gmx.net>:
Bug acknowledged by developer. (Fri, 23 Aug 2013 18:51:20 GMT) Full text and rfc822 format available.

Message #27 received at 691320-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 691320-close@bugs.debian.org
Subject: Bug#691320: fixed in xen-tools 4.4~beta1-1
Date: Fri, 23 Aug 2013 18:49:13 +0000
Source: xen-tools
Source-Version: 4.4~beta1-1

We believe that the bug you reported is fixed in the latest version of
xen-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691320@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated xen-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 Aug 2013 19:00:03 +0200
Source: xen-tools
Binary: xen-tools
Architecture: source all
Version: 4.4~beta1-1
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 xen-tools  - Tools to manage Xen virtual servers
Closes: 640099 679183 684346 690299 691320 693131 704882 715340 720519
Changes: 
 xen-tools (4.4~beta1-1) unstable; urgency=low
 .
   * New upstream beta release
     - Code deduplication to unify the xen-*-image scripts
     - Moves /usr/lib/xen-tools/ to /usr/share/xen-tools/
     - Use http.debian.net as default Debian mirror if no mirror is given
       and xt-guess-suite-and-mirror is not used.
     - Fix symbolic link hooks/centos-6/15-setup-arch (Closes: #690299)
     - Execute END block not on --version/--help/--manual (Closes: #684346)
     - Move code for --boot feature to END block. Fixes missing SSH
       fingerprint display if --boot was used. (Closes: #679183)
     - Correctly handle aborts in END block. (Closes: #704882)
     - Use local parameter instead of global variable in unMountImage.
     - Also recognize "M" and "G" instead of "MB" and "GB" as size unit for
       --memory. (Closes: #691320) Document the recognized units.
     - Default DomUs to use the noop scheduler (Closes: #693131)
     - Overwork TLS disabling on Debian and Ubuntu
     - xen-list-images now also outputs the file name of the config file.
     - xen-list-images and xen-delete-image now understand --extension.
     - Fixes "--extension=" with empty parameter.
     - Sarge amd64 case handle properly
     - Remove CVS revisions from --version output
     - Support for Debian Jessie, Ubuntu Raring and preliminary support for
       Ubuntu Saucy (debootstrap doesn't have support for Saucy at the time
       of writing)
     - Preliminary support for xl toolstack
     - xen-create-image: Consistently use runCommand() instead of system()
     - xt-install-image: Don't bail out if only cdebootstrap is installed
       but not debootstrap (Thanks Elmar Heeb!)
     - Makefile accepts DESTDIR=…
     - Move examples from debian/examples to examples.
     - Uses File::Which exclusively (no more findBinary, no more `which`),
       added (build-) dependency on libfile-which-perl
     - Knows about module-init-tools → kmod transition in wheezy/raring.
     - Adds default mount options for ext4, identical to ext2/ext3.
     - Ships /etc/initramfs-tools/conf.d/xen-tools for generating Dom0
       initrds also suitable for DomU usage. Trigger update-initramfs.
     - By default install linux-image-virtual instead of linux-image-server
       on Ubuntu Intrepid and newer (Hopefully closes: #640099, LP #839492)
     - Installs a legacy grub in all pygrub based Debian/Ubuntu DomUs to be
       able to update the menu.list automatically.
     - hooks/common.sh: installDebianPackage no more installs recommends.
     - hooks/common.sh: Rename installCentOS4Package to installRPMPackage.
       Add installCentOS4Package wrapper for backward compatibility.
     - Fix filesystem tools installation in 91-install-fs-tools (which was
       broken since 4.3~rc1-1) by merging 91-install-fs-tools back into
       90-make-fstab. (Closes: #715340) Also supports RPM-based
       distributions now.
     - Fixes export of environment variables. Previously they could contain
       dashes and then were only accessible from within Perl, but not from
       within Bash.
     - Fixes creation of "ARRAY(0x…).log" named log files.
     - Makes some options (like --pygrub) negatable.
     - Uses Test::NoTabs; add according build-dependency.
     - Removes unused Perl modules Xen::Tools and Xen::Tools::Log from
       source code. Also removes the according tests from the test suite.
       → Remove no more needed build-dependency on Moose.
     - Better documents and checks requirements for the --apt_proxy
       value. (See #623443 for the corresponding apt issue.) Add (build-)
       dependency on libdata-validate-uri-perl.
     - Use Data::Validate::{Domain,IP} for IP addresses and hostname checks.
       Add corresponding (build-) dependencies on
       libdata-validate-{domain,ip}-perl.
     - Fixes broken quoting in list of required binaries
     - Declares POD encoding. Fixes FTBFS with Perl 5.18. (Closes: #720519)
   * Add debian/gbp.conf to be able to to build xen-tools with
     git-buildpackage.
   * Clean up debian/rules:
     - Don't mention (generated) upstream changelog explicitly,
       dh_installchangelogs finds it by itself if it exist. That way
       building out of a freshly clone git repository does not fail due to
       a missing upstream changelog.
     - Use dh_auto_{install,clean}; use "$(MAKE)" instead of "make" where
       dh_auto_* can't help. No more explicitly call "make manpages", it's
       a depedency of "make install" in the next line anyway.
     - Finally switch to a minimal dh style debian/rules.
   * Bump debhelper compatibility to 9
     - Update versioned debhelper build-dependency
   * Bump Standards-Version to 3.9.4 (no changes)
   * Add dependency on ${perl:Depends} to fix dpkg-gencontrol warning.
   * Bump copyright years in debian/copyright.
   * Apply wrap-and-sort.
Checksums-Sha1: 
 8a0af7ac743fc4340d804ff0324557c06d2d7d7f 1440 xen-tools_4.4~beta1-1.dsc
 9c60058c99daabb41982abe339f0f12ee52c1efe 237356 xen-tools_4.4~beta1.orig.tar.gz
 2b89a4736ccac9d6697aaa744f4b94b790efb1cc 15727 xen-tools_4.4~beta1-1.debian.tar.gz
 f0894c894e7154c5d5fcfba572d261a9283e2ed1 249216 xen-tools_4.4~beta1-1_all.deb
Checksums-Sha256: 
 fc66036e35b5c49460f527edee09e9ff7070b582bcad0649f6cc51e2eb603de8 1440 xen-tools_4.4~beta1-1.dsc
 9ef3ca478f552885ba5911cfdedc4765370f652ccf74b79ccc6729b0b5c77302 237356 xen-tools_4.4~beta1.orig.tar.gz
 2a8bff66b3f58064380edab0876144eb4b64314b4109b6d244e3a438882c9a9e 15727 xen-tools_4.4~beta1-1.debian.tar.gz
 e0c9eda5f42cd9abc1f405420d6963fa0af7c05f162d8ccc01e6ad622f775ee0 249216 xen-tools_4.4~beta1-1_all.deb
Files: 
 412676db19699c1340f008909b65826d 1440 utils extra xen-tools_4.4~beta1-1.dsc
 60a11bfd3d437c9f95884395ff9cd080 237356 utils extra xen-tools_4.4~beta1.orig.tar.gz
 21aa6486f72f3eebec20a32f30f0fc49 15727 utils extra xen-tools_4.4~beta1-1.debian.tar.gz
 196e63d4447a9bfa8ab7069b61b37da6 249216 utils extra xen-tools_4.4~beta1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIXnw4ACgkQwJ4diZWTDt6i/gCdHmalka5wfY4YTGcGpRp/8Kte
S+AAn21y8H63+mtauXkFev2wmdAcjI0S
=sgXi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:31:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:13:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.